Kerbal Space Program - Bug #22111

SOl intercept not visible
05/05/2019 02:34 PM - Kasuha

Status: Closed Start date: 05/05/2019
Severity: Low % Done: 100%
Assignee:

Category: Map and Planetarium

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Ship is on trajectory that intercepts Mun SOI but that intercept is not visible in map. This situation was there ever since setting up

maneuver to eject from Kerbin orbit, the intercept kept disappearing as | was trying to set up direct rendezvous with a ship in Mun
orbit.

Adding a 0 m/s maneuver at around apoapsis of the orbit reveals the intercept. Also time warp to around the apoapsis reveals it in
the map.

See attached screenshots or use attached quicksave to reproduce the situation.

History

#1 - 05/17/2019 09:25 AM - Kasuha

- File quicksave.sfs added

| have another case of the issue, here even placing a maneuver around apoapsis does not help - the ship appears to be on trajectory missing Minmus
SOl until it suddenly appears inside the SOI. The calculation misses the intercept altogether. To reproduce, load the attached quicksave, open map
view and use time warp.

It is however possible to place the maneuver at the part of the orbit that puts the maneuver inside Minmus SOI. Things displayed in the map view are
then rather strange, | did not try to interpret them.

Again, this was the case when | was trying to optimize the approach to meet with the ship to be rescued directly from the transfer.
#2 - 01/17/2020 03:49 PM - Robert.Keech

- Status changed from New to Updated
- % Done changed from 0 to 10

Issue no longer occurs, loading the attached quicksave the ship has a intercept with the mun

#3 - 01/17/2020 03:49 PM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#4 - 01/24/2020 12:47 AM - chris.fulton

- Status changed from Resolved to Closed

Files

quicksave.sfs 449 KB 05/05/2019 Kasuha
screenshot2.png 2.24 MB 05/05/2019 Kasuha
screenshot3.png 2.23 MB 05/05/2019 Kasuha
screenshot4.png 2.27 MB 05/05/2019 Kasuha
quicksave.sfs 1.04 MB 05/17/2019 Kasuha
